Transition (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface Transition

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    TransitionImpl

      public interface Transition
      extends Component

  Specifies that the two adjacent Segments should be overlapped when they are played and that the overlapped sections should be combined using the specified effect. Transitions are used to specify sequences according to the specified rules for a sequence. The operation that they specify must be appropriate for use in a transition, which means that it has two inputs and a level parameter.

  See Also:
    `Sequence`, `OperationDefinition`, `OperationConstant`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transition` | `clone()` Create a cloned copy of this transition.
    `long` | `getCutPoint()` Returns the point at which a cut would be inserted if this transition were removed.
    `OperationGroup` | `getTransitionOperation()` Returns the operation group defining the operation of this transition, which specifies the effect to be applied during the transition.
    `void` | `setCutPoint(long cutPoint)` Sets the point at which a cut would be inserted if this transition were removed.
    `void` | `setTransitionOperation(OperationGroup operationGroup)` Sets the operation group defining the operation of this transition, which specifies the effect to be applied during the transition.

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getCutPoint

          @PositionType
          long getCutPoint()

      Returns the point at which a cut would be inserted if this transition were removed.

      Returns:
        Point at which a cut would be inserted if the transition were removed.

    - #### setCutPoint

          void setCutPoint(@PositionType
                           long cutPoint)

      Sets the point at which a cut would be inserted if this transition were removed.

      Parameters:
        `cutPoint` - Point at which a cut would be inserted if the transition were removed.

    - #### getTransitionOperation

          OperationGroup getTransitionOperation()

      Returns the operation group defining the operation of this transition, which specifies the effect to be applied during the transition.

      Returns:
        Operation group associated with the transition.
      See Also:
        `OperationGroup.isValidTransitionOperation()`, `TypeDefinitions.OperationGroupStrongReference`

    - #### setTransitionOperation

          void setTransitionOperation(OperationGroup operationGroup)
                               throws NullPointerException

      Sets the operation group defining the operation of this transition, which specifies the effect to be applied during the transition.

      Parameters:
        `operationGroup` - Operation group associated with the transition.
      Throws:
        `NullPointerException` - The given operation group is `null`.
      See Also:
        `OperationGroup.isValidTransitionOperation()`

    - #### clone

          Transition clone()

      Create a cloned copy of this transition.

      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this transition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.